# 選股策略詳情

`GET` `/v1/quote/ai/screener/strategy/{id}`

根據策略 ID 獲取單個選股策略的完整配置，包含所有指標分組和各指標的篩選範圍。

## Parameters

### Path Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | integer | Yes | 策略 ID，來自 `screener_recommend_strategies` 或 `screener_user_strategies` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/ai/screener/strategy/<id>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | integer | No | 策略 ID |
| `market` | string | No | 目標市場 |
| `filter` | object | No | 篩選配置 |
| `└ filters` | object[] | No | 篩選條件列表 |
| `└ ∟ key` | string | No | 指標鍵名，如 `filter_pettm`。 |
| `└ ∟ min` | string | No | 下限 |
| `└ ∟ max` | string | No | 上限 |
| `└ ∟ tech_values` | object | No | 技術指標參數 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "id": 19,
    "name": "Stocks that surged today",
    "market": "US",
    "type": "platform",
    "filter": {
      "filters": [
        {
          "key": "prevchg",
          "min": "2",
          "max": "",
          "tech_values": {}
        }
      ]
    }
  }
}
```
